Bug 376281 - F8 installation failure
F8 installation failure
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
8
powerpc Linux
low Severity urgent
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 13:36 EST by Stefan Seefeld
Modified: 2008-10-22 17:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-22 17:34:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Seefeld 2007-11-11 13:36:13 EST
Description of problem:

I installed F8 on my PS3. Once all packages were installed I was asked to reboot
the system, which I did. Upon reboot, I got this:

Red Hat nash version 6.0.19 starting
Unable to access fesume device (LABEL=SWAP-ps3da2)
mount: could not find filesystem '/dev/root'
setuproot: moving /dev/ failed: No such file or directory
...



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install F8, using a custom partition layout, on PS3
2.
3.
  
Actual results:

The final installation steps (configuration) fail, as the system doesn't reboot.

Expected results:



Additional info:

(I read somewhere that with F8 partitions are required to be labeled. I can't
remember having explicitely specified labels when creating my partitions. FWIW.)
Comment 1 Jeremy Katz 2007-11-12 14:23:16 EST
How did you partition the system?
Comment 2 Stefan Seefeld 2007-11-12 14:42:28 EST
/sbin/blkid confirms that I have three partitions (ps3da[1,2,3]), with labels
"/", "swap", and "/home". I partitioned the disk during installation.

I'm not sure why the boot process is looking for a "SWAP-ps3da2" label, and what
the failure to "find filesystem /dev/root" means. (/dev/root exists on the "/"
partition, and is a regular block-device read/writable by root.

Thanks,
Comment 3 Stefan Seefeld 2007-11-12 15:01:46 EST
Sorry, I spoke to quickly. My swap partition does in fact have a "SWAP-ps3da2"
label. (I misinterpreted the "TYPE" field in my previous post.)
Comment 4 Jeremy Katz 2007-11-12 17:28:08 EST
That looks like everything is right.  Do you see the ps3 disk module getting
loaded prior to that?
Comment 5 Stefan Seefeld 2007-11-12 17:47:10 EST
I'm not sure. However, if, at the kboot prompt I type "linux root=/dev/ps3da1"
everything works fine. This makes it sound as if the problem is related to the
way the partitions are by default addressed in the boot loader. (By the way, I
was looking for the kboot.conf file in /etc/, but couldn't find it.)
Comment 6 Stefan Seefeld 2007-11-15 12:32:28 EST
Ping ?

(Someone on irc://irc.oftc.net/cell just suggested the fact that I don't have a
/etc/kboot.config and the boot problems might be related. Apparently, a
'builtin' kboot.conf file gets used of no /etc/kboot.conf file was found.
And indeed, "cat //etc/kboot.conf" on the kboot prompt does print some content...)

So, may be the bug is that my F8 installation didn't create /etc/kboot.conf ?
Comment 7 Andy Lindeberg 2008-07-14 16:28:26 EDT
Can you try installing F9 to see if you run into the same problem?
Comment 8 Christopher D. Stover 2008-10-22 17:34:14 EDT
The information we've requested above is required in order
to review this problem report further and diagnose or fix the
issue if it is still present.  Since it has been thirty days or
more since we first requested additional information, we're assuming
the problem is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED: INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested,
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.